import QtQuick 2.0
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.5 as QQC2
import org.kde.plasma.core 2.0 as PlasmaCore
import org.kde.kirigami 2.4 as Kirigami

QQC2.Pane {
  id: root

  property alias cfg_pollingrate: pollingrate.value

  Kirigami.FormLayout {
    anchors.fill: parent
    wideMode: false

    GridLayout {
      columns: 3

      Text {
        text: "polling rate:"
        color: PlasmaCore.Theme.textColor
      }

      QQC2.Slider {
        id: pollingrate
        value: 10.0
        from: 2.0
        to: 60.0
        stepSize: 2.0
        snapMode: Slider.SnapAlways
        Kirigami.FormData.label: i18nc("@label", "polling rate in seconds:")
        onMoved: {
          test.text = this.value + " seconds";
        }
      }

      Text {
        id: test
        text: pollingrate.value + " seconds"
        color: PlasmaCore.Theme.textColor
      }
    }
  }
}
